Skip to main content
GET
/
network
/
search
/
opportunities
curl "https://api.clustr-ai.com/api/public/network/search/opportunities?domains=acme.com&confidence_ranges=80-100&page_size=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "data": {
    "results": [
      {
        "client": { "name": "John Doe", "job_title": "Sales Director" },
        "opportunities": [
          {
            "opportunity_id": "opp_abc123",
            "prospect": { "name": "Jane Smith", "job_title": "CTO" },
            "relationship": { "confidence_score": 92, "total_overlap_months": 36 },
            "is_target_company": true
          }
        ]
      }
    ],
    "total": 42,
    "page": 1,
    "page_size": 25,
    "has_more": true
  }
}
Search opportunities with optional filters. All parameters are optional — call with no filters to list all opportunities, or combine filters to narrow results. To search for a specific contact’s opportunities, use the /by-contact variant: GET /network/search/opportunities/by-contact?linkedin_public_id=john-doe.

Query Parameters

Company filters

domains
string
Comma-separated company domains (e.g. acme.com,stripe.com)
linkedin_urls
string
Comma-separated company LinkedIn URLs
numeric_ids
string
Comma-separated LinkedIn numeric IDs
vanity_names
string
Comma-separated LinkedIn vanity names

Client/prospect filters

client_names
string
Comma-separated client (connector) names
client_linkedin_urls
string
Comma-separated client LinkedIn URLs
client_public_identifiers
string
Comma-separated client LinkedIn public identifiers
client_companies
string
Comma-separated client company names
prospect_names
string
Comma-separated prospect names
prospect_linkedin_urls
string
Comma-separated prospect LinkedIn URLs
prospect_positions
string
Comma-separated prospect job titles
prospect_companies
string
Comma-separated prospect company names
owners
string
Comma-separated owner emails

Scoring and engagement filters

seniority_levels
string
high, mid, low
industries
string
Comma-separated industry names
countries
string
Comma-separated country names
confidence_ranges
string
e.g. 80-100,60-79
employee_ranges
string
Comma-separated employee count ranges (e.g. 51-200,501-1000)
revenue_ranges
string
Comma-separated revenue ranges
statuses
string
Comma-separated opportunity statuses
engagement_types
string
Comma-separated engagement types
crm_statuses
string
Comma-separated CRM statuses

Date and behavior filters

created_after
string
Filter by creation date (YYYY-MM-DD)
created_before
string
Filter by creation date (YYYY-MM-DD)
exclude_client_companies
boolean
default:"false"
Exclude prospects at the same company as the client
include_unengaged
boolean
default:"false"
Include opportunities with no engagement
full_history
boolean
default:"false"
Include full engagement history
force_refresh
boolean
default:"false"
Bypass cache and fetch fresh results
job_id
string
Filter by import job ID

Pagination

page
integer
default:"1"
page_size
integer
default:"25"
sort_field
string
sort_direction
string
curl "https://api.clustr-ai.com/api/public/network/search/opportunities?domains=acme.com&confidence_ranges=80-100&page_size=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "data": {
    "results": [
      {
        "client": { "name": "John Doe", "job_title": "Sales Director" },
        "opportunities": [
          {
            "opportunity_id": "opp_abc123",
            "prospect": { "name": "Jane Smith", "job_title": "CTO" },
            "relationship": { "confidence_score": 92, "total_overlap_months": 36 },
            "is_target_company": true
          }
        ]
      }
    ],
    "total": 42,
    "page": 1,
    "page_size": 25,
    "has_more": true
  }
}